import os

from PySide2.QtCore import QFile
from PySide2.QtUiTools import QUiLoader


def load_ui( name_resource,parent):
    loader = QUiLoader()
    path = os.path.join(os.path.dirname(__file__), name_resource)
    ui_file = QFile(path)
    ui_file.open(QFile.ReadOnly)
    ui = loader.load(ui_file, parent)

    ui_file.close()
    return ui
def clearlayout(layout):
    for i in reversed(range(layout.count())):
        print(layout.itemAt(i))
        layout.removeItem(layout.itemAt(i))