import time

from axipy import AxipyProgressHandler, ProgressSpecification, ProgressGuiFlags, task_manager


def runTest(ph: AxipyProgressHandler, count: int):
    ph.set_max_progress(count)
    for i in range(0, count):
        if ph.is_canceled():
            print("Операция прервана ")
            break
        # Тут делаем длительные вычисления
        time.sleep(0.5)
        ph.add_progress(1)
    return ph.progress()

spec = ProgressSpecification(description="Длительная операция",flags=ProgressGuiFlags.NO_DELAY|ProgressGuiFlags.CANCELABLE)
count=1000
real_times = task_manager.run_and_get(spec, runTest, count)

# выводим колличество раз которое отработал цикл внутри
print(real_times)