from axipy import LinearUnits


class Distance:
    def __init__(self,value,unit:LinearUnits=LinearUnits.m):
        self.__value=value
        self.__unit=unit
    @property
    def value(self):
        return self.__value
    @property
    def unit(self):
        return self.__unit
    def to_unit(self,unit):
        return self.__unit.to_unit(unit,self.__value)
def factoryDistance(value,unit:str):
    if unit.lower()=="m":
        return Distance(value,LinearUnits.m)
    if unit.lower()=="km":
        return Distance(value, LinearUnits.km)
    return None
